## com.trilead.ssh2.util
Class TimeoutService.TimeoutToken

    java.lang.Object
      com.trilead.ssh2.util.TimeoutService.TimeoutToken

All Implemented Interfaces:
  java.lang.Comparable

Enclosing class:
  TimeoutService

    public static class TimeoutService.TimeoutToken

extends java.lang.Object
implements java.lang.Comparable

Method Summary
`int` `compareTo(java.lang.Object o)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`